Get external event
Get a specific external event associated with a task identified by its ID and the external event ID.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the task.
Format
uuidtaskExternalEventId*string
The ID of the external event.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/external-events/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "appId": "string", "isActive": true, "qlikEvent": "string", "type": "string", "execution": "string", "priority": 0, "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "timeZone": "string" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}